/*
 * atexit - for sun's
 */
#ifdef HAVE_CONFIG_H
# include "config.h"
#else
# if defined(__svr4__)
#   define HAVE_ATEXIT
# endif
# if defined(sun)
#   define HAVE_ON_EXIT
# endif
#endif

#if !defined(HAVE_ATEXIT) && defined(HAVE_ON_EXIT)
int
atexit(func)
	void (*func)();
{
	return on_exit(func, 0L);
}
#endif
